#include "xmodelhighmipbounds.h"

XModelHighMipBounds::XModelHighMipBounds()
    : XAsset()
    , mMins()
    , mMaxs()
{
    SetName("Model Highmip Bounds");
}

XModelHighMipBounds::~XModelHighMipBounds()
{
    
}

void XModelHighMipBounds::ParseData(XDataStream *aStream)
{
    for (int i = 0; i < 3; i++)
    {
        quint32 rawMin;
        *aStream >> rawMin;
        memcpy(&mMins[i], &rawMin, sizeof(mMins[i]));
    }

    for (int i = 0; i < 3; i++)
    {
        quint32 rawMax;
        *aStream >> rawMax;
        memcpy(&mMaxs[i], &rawMax, sizeof(mMaxs[i]));
    }
}

void XModelHighMipBounds::Clear()
{
    mMins = QVector3D();
    mMaxs = QVector3D();
}
